# build configuration of gtool4 (autoconf)
# (C) Copyright by GFD Dennou Club, 2000-2001.  All rights reserved.
#
# 2001/06/19  ODAKA, Masatsugu
# 2001-12-07  TOYODA Eizi

# Fortran コンパイラ
FC=f95

# コンパイル時・リンク時に必要なフラグ
SYSFFLAGS=-O -w -I/usr/local/dcl-lahey/include
# リンク時に必要なフラグ
SYSLDFLAGS=-L/usr/local/dcl-lahey/lib -L/usr/X11R6/lib -L/usr/local/dcl-lahey/lib -L/usr/local/netcdf-3.4-lahey/lib
# リンク時に必要なライブラリ
SYSLDLIBS=-ldclf90 -ldcl52f77 -lSM -lICE -lX11 -lm -lnetcdf  

# モジュール情報の渡し方 (std.mod, HP.mod, fqs.mod, intel.d, hitachi.f90)
F90MODTYPE=std.mod

# モジュール情報ファイルの拡張子 (.mod .d .f90 のどれかになる)
MODEXT=.mod
# make clean 時に使用するモジューリ情報ファイル指定
# (F90MODTYPE = hitachi.f90 のときは何も消してはならない)
MODS=*.mod

prefix=/usr/local/gtool4
exec_prefix=${prefix}
# モジュール情報エディタ (F90MODTYPE=intel.d の時に利用される)
IFCCEM=:

# DEST_LIB  : set directory to which the library libgtool4.a is installed
#             (gtool4 ライブラリインストールディレクトリの指定)
DEST_LIB=${exec_prefix}/lib

# DEST_INC  : directory to which the module files are installed
#             (gtool4 モジュールインストールディレクトリの指定)
DEST_INC=${prefix}/include

# DEST_BIN  : directory to which the executable files are installed
#             (gtool4 実行ファイルインストールディレクトリの指定)
DEST_BIN=${exec_prefix}/bin

# DEST_DOC  : directory to which the gtool4 documantation files are installed
#             (gtool4 ドキュメントァイルインストールディレクトリの指定)
DEST_DOC=/usr/local/gtool4/doc/gtool4

# AR        : Library builder specification
#             (アーカイブコマンドの指定)
AR=ar rf

# SYSDEPARG, SYSDEPABORT: sysdem dependent routine (usually "DCL" works)
SYSDEPARG=dcl
SYSDEPABORT=dcl

# suffixe rules(サフィックスルール)
#
.SUFFIXES:
.SUFFIXES: .f90 .o

.f90.o:
	$(FC) -c $(INCLUDE_GT) $(FFLAGS) $(SYSFFLAGS) $(INCLUDES) $<
